### Class

# FwupdPlugin DeviceEvent

#### Description [src]

    final class FwupdPlugin.DeviceEvent : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

A device event, used to enumulate hardware.

See also: `FuDevice`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_device_event_new

No description available.

since: 2.0.0

#### Instance methods

###### fu_device_event_check_error

Sets an error from the event if possible.

since: 2.0.6

###### fu_device_event_copy_data

Copies memory from the event.

since: 2.0.0

###### fu_device_event_get_bytes

Gets a memory blob from the event.

since: 2.0.0

###### fu_device_event_get_i64

Gets an integer value from the event.

since: 2.0.0

###### fu_device_event_get_str

Gets a string value from the event.

since: 2.0.0

###### fu_device_event_set_bytes

Sets a blob on the event. Note: blobs are stored internally as BASE-64 strings.

since: 2.0.0

###### fu_device_event_set_data

Sets a memory buffer on the event. Note: memory buffers are stored internally as BASE-64 strings.

since: 2.0.0

###### fu_device_event_set_error

Sets an error on the event.

since: 2.0.6

###### fu_device_event_set_i64

Sets an integer value on the string.

since: 2.0.0

###### fu_device_event_set_str

Sets a string value on the event.

since: 2.0.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginDeviceEventClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.